GSPL-PASSWD(8)

NAME
gspl-passwd - set passwords for user and API

SYNOPSIS
gspl-ppasswd [ -u user ] [ -p password ] [ -f ] [ -d ] [ -F file ]

DESCRIPTION
gspl-passwd sets a password for the current user or a specified user if -u is given. This is separate and distinct from the user's login password. This password is used by the web interfaces, the Windows interface and the API.

The reason for doing this is because it is considered insecure to possibly repeatedly try login passwords from user programs.

If any users have a password set in this way, then all users will have to to have a password in the file to use any of the interfaces requiring a password.

Unlike the Unix passwd(1) routine, the old password is not prompted for and there is no confirmation.

OPTIONS

-u user
    Set password for given user. This may only be for other than the current user if gspl-passwd is invoked by root.

-p password
    Specify the password to be set other than prompting for it.

-f  It is normally considered an error to include a password for root for the same reasons that the password file is separate. However this option may be set to insist upon it.

-d  Delete the user's password from the file.

-F file
    Use file to hold the password. The default if no file is given is gspl-passwd. Any number of -F options may be given to set up several password files at once.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.